

kerio.waw.init.x_10a = function () {
var x_x = kerio.lib.x_x;

kerio.waw.shared.x_az = {

x_b0: function(x_1gq, x_2v) {
var
x_1gr,
x_1gh,
x_1gs; x_1gh = kerio.waw.shared.x_az[x_1gq]; if ('function' === typeof x_1gh) { x_1gs = x_1gh;
return new x_1gs(x_2v);    }
if ('object' !== typeof x_1gh) {
return x_1gh; }
x_1gr = kerio.lib.x_9m(x_1gh); if ('object' === typeof x_2v) {
kerio.waw.shared.x_3e.x_iq(x_2v, x_1gr);
}
return x_1gr;
},

x_nk: {

x_3e: {

x_nl: function() {
var x_nm = {};
var x_47;
if (0 < this.x_3v.x_46) {
x_47 = this.x_3v.x_40[0].x_47;
x_nm.id   = x_47.groupId;
x_nm.name = x_47.groupName;
}
return x_nm;
}, 
x_1gt: function() {
var x_1c, x_47, x_16, x_j4;
if (kerio.waw.status.x_p.x_q === x_r.x_s.x_t) {
x_1c = this.x_1c;
x_47 = x_1c.x_o5;
x_1c.x_1gu.x_9w(x_47.groupName);
x_1c.x_1gv.x_9w(x_47.childGroupName);
x_1c.x_1cy.x_yw('x_1gw', false); x_1c.x_1cy.x_9w('x_1gw');
}
else {
x_16 = this;
x_j4 = {
x_6a: '/admin/stub/dataMiner.php',
x_6p: 'post',
x_28: {
object: x_16.x_w,
method: 'getGroupList'
},
x_2q: x_16,
x_2e: x_16.x_1gx
};
kerio.lib.x_6t.x_6u(x_j4);
}
}, 
x_1gx: function(x_6v) {
var x_1c = this.x_1c;
var x_47 = x_6v.x_ac.groups;
var x_1gy = (x_47) ? x_47.length : 0;
var x_7h = (x_1c.x_o5) ? x_1c.x_o5 : {};
var x_vw, x_1gv;
if (x_7h.groupId) {
x_vw = {
x_1j: x_7h.groupId,
x_a6: x_7h.groupName
}; x_1gv = {
x_1j: x_7h.childGroupId,
x_a6: x_7h.childGroupName
}; } else {
x_vw = x_1c.x_nm;
x_1gv = {}; } var x_vy;
var x_1gz = !x_vw.x_1j; var x_1h0 = !x_1gv.x_1j;   for (var x_41 = 0; x_41 < x_1gy; x_41++) {
if (x_1h0 && x_1gz) {
break; }
x_vy = x_47[x_41];
if (!x_1gz && x_vy.id === x_vw.x_1j) {
x_1gz = true;
}
if (!x_1h0  && x_vy.id === x_1gv.x_1j) {
x_1h0 = true;
}
} if (!x_1h0) { x_47.unshift({
id: x_1gv.x_1j,
name: x_1gv.x_a6
});
} if (!x_1gz) { x_47.unshift({
id: x_vw.x_1j,
name: x_vw.x_a6
});
} x_1gy = (x_47) ? x_47.length : 0; x_1c.x_1h1 = (0 < x_1gy) ? x_47 : undefined;
var x_1cy = (x_vw.x_a6) ? x_vw.x_a6 : x_1c.x_1h2;
x_1c.x_1h3.x_9w(x_1cy);
var x_1h4;
if (0 === x_1gy) {
x_1h4 = kerio.lib.x_x('No groups available', 'common');
x_1c.x_1gu.x_9w(x_1h4);
x_1c.x_1gv.x_9w(x_1h4);
}
else {
x_1c.x_1gu.x_an(x_47);
x_1c.x_1cy.x_yw('x_1gw', false); x_1c.x_1gv.x_an(x_47);
x_1c.x_84(['x_1gv'], false); }
if (x_vw.x_1j) {
x_1c.x_1gu.x_9w(x_vw.x_1j); x_1c.x_1cy.x_9w('x_1gw'); } else if (x_1c.x_1h1) {
x_1c.x_1gu.x_1h5(0); } if (x_1gv.x_1j) {
x_1c.x_1gv.x_9w(x_1gv.x_1j); }
else if (x_1c.x_1h1) {
x_1c.x_1gv.x_1h5(0); x_1c.x_2p.x_1h6.call(x_1c);
} }, 
x_1h6: function() {
var x_1c = this;
if (!x_1c.x_1h1) {
return; }
var x_1h7;
var x_1gv = x_1c.x_1gv;
if ('x_1gw' === x_1c.x_1cy.x_2t()) {
x_1h7 = x_1c.x_1gu.x_vj();
}
else {
x_1h7 = x_1c.x_1h3.x_2t();
}
var x_87 = x_1c.x_1h1;
var x_1gy = x_87.length;
var x_1h8 = [];
for (var x_41 = 0; x_41 < x_1gy; x_41++) {
if (x_1h7 !== x_87[x_41].name) {
x_1h8.push(x_87[x_41]);
}
} x_1gy = x_1h8.length;
var x_ut, x_1h9;
if (0 === x_1gy) {
x_1gv.x_9w(kerio.lib.x_x('No groups available', 'common'));
x_1c.x_84(['x_1gv']);
} else {
x_ut = x_1gv.x_2t();
x_1h9 = x_1gv.x_vj();
x_1gv.x_8f();
x_1gv.x_an(x_1h8);
if (x_1gv.x_31() || x_1h9 === x_1h7) {
x_1gv.x_1h5(0); }
else {
x_1gv.x_9w(x_ut);
}
x_1c.x_84(['x_1gv'], false); }
} } } }; x_fa = kerio.waw.shared.x_az;
var
x_yj = x_r.x_1ha || [],
x_1hb, x_1hc, x_yk; delete x_r.x_1ha; for (x_1hb = 0, x_1hc = x_yj.length; x_1hb < x_1hc; x_1hb++) {
x_yk = x_yj[x_1hb];
x_yk.enabled = false;
x_yk.group = x_x(x_yk.group, 'webFilterGroups');
x_yk.category = x_x(x_yk.category, 'webFilterCategories');
}
x_fa.x_yl = x_yj;

var x_1e9 = x_r.x_1e9;
var x_1hd = [
{x_1o: x_1e9.x_1f9,     x_23: x_x('TCP', 'serviceEditor')},
{x_1o: x_1e9.x_1fa,     x_23: x_x('UDP', 'serviceEditor')},
{x_1o: x_1e9.x_1fb, x_23: x_x('TCP/UDP', 'serviceEditor')},
{x_1o: x_1e9.x_1fc,    x_23: x_x('ICMP', 'serviceEditor')},
{x_1o: x_1e9.x_14e,   x_23: x_x('Other', 'serviceEditor')}
];
x_fa.x_1es = x_1hd;
var x_1gn = [];
x_1gn[x_1e9.x_1f9]     = x_1hd[0];
x_1gn[x_1e9.x_1fa]     = x_1hd[1];
x_1gn[x_1e9.x_1fb] = x_1hd[2];
x_1gn[x_1e9.x_1fc]    = x_1hd[3];
x_1gn[x_1e9.x_14e]   = x_1hd[4];
x_fa.x_1gn = x_1gn;
var x_1he = x_r.x_3s;
x_fa.x_194 = {
x_1hf: x_1he.x_1hf,
x_1hg: x_1he.x_1hg,
x_1hh: x_1he.x_1hh,
x_1hi: x_1he.x_1hi,
x_1hj: x_1he.x_1hj,
x_1hk: x_1he.x_1hk,
x_1hl: x_1he.x_1hl,
x_1hm: x_1he.x_1hm,
x_1hn: x_1he.x_1hn,
x_1ho: x_1he.x_1ho,
x_1hp: x_1he.x_bt,
x_195: x_1he.x_195,
x_1hq: x_1he.x_1hq
}; 
var x_1hr = x_r.x_1hs;
x_fa.x_1ht = [
{x_1o: x_1hr.x_18x,     x_23: x_x('all traffic', 'common')},
{x_1o: x_1hr.x_tt, x_23: x_x('download', 'common')},
{x_1o: x_1hr.x_tu,   x_23: x_x('upload', 'common')}
];

var x_1hu = x_r.x_1hv;
x_fa.x_1hw = [
{x_1o: x_1hu.x_1hx,  x_23: 'MB'},
{x_1o: x_1hu.x_1hy,  x_23: 'GB'}
];

var x_14j = x_r.x_14j;
x_fa.x_1hz = [
{x_1o: x_14j.x_14m,  x_23: x_x('kbit/s', 'common')},
{x_1o: x_14j.x_14n,  x_23: x_x('kB/s', 'common')},
{x_1o: x_14j.x_14o,  x_23: x_x('Mbit/s', 'common')},
{x_1o: x_14j.x_14p,  x_23: x_x('MB/s', 'common')}
];

var x_1ea = x_r.x_1eb;
x_fa.x_1gi = [
{x_1o: x_1ea.x_1f0,          x_23: x_x('Any', 'serviceEditor')},
{x_1o: x_1ea.x_1fe,     x_23: x_x('Equal to', 'serviceEditor')},
{x_1o: x_1ea.x_1ff, x_23: x_x('Greater than', 'serviceEditor')},
{x_1o: x_1ea.x_1fg,    x_23: x_x('Less than', 'serviceEditor')},
{x_1o: x_1ea.x_1cw,        x_23: x_x('In range', 'serviceEditor')},
{x_1o: x_1ea.x_10v,         x_23: x_x('List', 'serviceEditor')}
];
x_r.x_7c = 'webadmin_none';
var x_1i0 = x_r.x_1i1;
var x_n3 = [];
x_n3[x_1i0.x_1i2]    = x_x('Monday', 'timeRangeList');
x_n3[x_1i0.x_1i3]   = x_x('Tuesday', 'timeRangeList');
x_n3[x_1i0.x_1i4] = x_x('Wednesday', 'timeRangeList');
x_n3[x_1i0.x_1i5]  = x_x('Thursday', 'timeRangeList');
x_n3[x_1i0.x_1i6]    = x_x('Friday', 'timeRangeList');
x_n3[x_1i0.x_1i7]  = x_x('Saturday', 'timeRangeList');
x_n3[x_1i0.x_1i8]    = x_x('Sunday', 'timeRangeList');
x_fa.x_n3 = x_n3;
var x_ng = [];
x_ng[x_1i0.x_1i2]    = x_x('Mon', 'timeRangeList');
x_ng[x_1i0.x_1i3]   = x_x('Tue', 'timeRangeList');
x_ng[x_1i0.x_1i4] = x_x('Wed', 'timeRangeList');
x_ng[x_1i0.x_1i5]  = x_x('Thu', 'timeRangeList');
x_ng[x_1i0.x_1i6]    = x_x('Fri', 'timeRangeList');
x_ng[x_1i0.x_1i7]  = x_x('Sat', 'timeRangeList');
x_ng[x_1i0.x_1i8]    = x_x('Sun', 'timeRangeList');
x_fa.x_ng = x_ng;
var x_12x = x_r.x_12x;
var x_130 = [];
x_130[x_12x.x_15t] = x_x('Up', 'common');
x_130[x_12x.x_12y] = x_x('Down', 'common');
x_130[x_12x.x_13y] = x_x('Connecting', 'common');
x_130[x_12x.x_13z] = x_x('Disconnecting', 'common');
x_130[x_12x.x_1i9] = x_x('Up/Active', 'common');
x_130[x_12x.x_1ia] = x_x('Up/Inactive', 'common');
x_fa.x_130 = x_130;

x_fa.x_uf = { id: "",
status: 0,
enabled: true,
name: x_x('New Rule', 'list'),
description: '',
action: x_r.x_im.x_ur,
logEnabled: false,
serverType: 0,
server: "",
serverAddressGroup: {
id: "",
name: ""
},
userCondition: {
type: 0,
users: []
},
validTimeRange: {
id: "",
name: ""
},
validAddressGroup: {
id: "",
name: ""
},
contentType: 0,
content: "",
skipAvScan: false
};

x_fa.x_u0 = [x_x('NEW', 'ftpRuleList'), true];

x_fa.x_tx = {
PORT: false,
PASV: false,
RETR: false,
STOR: false,
DELE: false,
RMD: false,
MKD: false,
LIST: false,
NLST: false
};

x_fa.x_1ib = {
id: '',
enabled: true,
name: x_x('New Rule', 'list'),
description: '',
color: 0,
source: {
type: 0,
firewall: false,
entities: []
},
destination: {
type: 0,
firewall: false,
entities: []
},
service: {
type: 0,
entries: []
},
action: x_r.x_im.x_ur,
logEnabled: [
false,
false
],
enableSourceNat: false,
natMode: 0,
allowReverseConnection: false,
balancing: 0,
natInterface: {
id: '',
name: '',
invalid: false
},
allowFailover: false,
ipAddress: '',
enableDestinationNat: false,
translatedHost: '',
translatedPort: {
enabled: false,
value: 0
},
validTimeRange: {
id: '',
name: '',
invalid: false
},
inspector: "default"
};
x_fa.x_wh = { id: "",
enabled: true,
name: x_x('New Rule', 'list'),
status: 0,
description: "",
color: 0,
urlCondition: {
type: 0,
url: "",
serverUrlGroup: {
id: "",
name: "",
invalid: false
},
pageRating: []
},
userCondition: {
type: 0,
users: []
},
validTimeRange: {
id: "",
name: ""
},
validAddressGroup: {
id: "",
name: ""
},
validMimeType: "*",
action: x_r.x_im.x_ur,
logEnabled: false,
denialCondition: {
denialText: "",
redirectUrl: "",
canUnlockRule: false
},
content: {
javaApplet: false,
embedObject: false,
script: false,
popup: false,
referer: false
},
skipAvScan: false,
denyKeywords: false
};
x_fa.x_ue = {
x_gc: x_x('Unknown/invalid users are specified in the rule.', 'policyList'),
x_cy: 'userUnknown'
};
var x_e8 = x_r.x_e8;
var x_1ic = [];
x_1ic[x_e8.x_ek] = 'createSnapshot';
x_1ic[x_e8.x_189] = 'discardSnapshot';
x_1ic[x_e8.x_e9] = 'applySnapshot';
x_fa.x_1ic = x_1ic;
var x_io = x_r.x_io;
var x_h4 = [];
x_h4[x_io.x_1id] = 'bckgTransparent';
x_h4[x_io.x_1ie]       = 'bckgWhite';
x_h4[x_io.x_1if]      = 'bckgYellow';
x_h4[x_io.x_1ig]        = 'bckgBlue';
x_h4[x_io.x_ip]         = 'bckgRed';
x_h4[x_io.x_ww]       = 'bckgGreen';
x_h4[x_io.x_1ih]     = 'bckgMagenta';
x_h4[x_io.x_1ii]        = 'bckgPink';
x_h4[x_io.x_1ij]        = 'bckgGrey';
x_fa.x_h4 = x_h4;
var x_1ik = [];
kerio.waw.shared.x_3e.x_iq({
'Transparent' : x_io.x_1id,
'White'       : x_io.x_1ie,
'Yellow'      : x_io.x_1if,
'Blue'        : x_io.x_1ig,
'Red'         : x_io.x_ip,
'Green'       : x_io.x_ww,
'Magenta'     : x_io.x_1ih,
'Pink'        : x_io.x_1ii,
'Grey'        : x_io.x_1ij
}, x_1ik);
x_fa.x_1ik = x_1ik;

x_fa.x_1g7 = {
x_1j: x_r.x_1e9.x_7c,
x_a6: kerio.lib.x_x('None', 'serviceEditor'),
x_1gb: x_r.x_1e9.x_1gd
};
var x_1il = x_r.x_im;
x_fa.x_j1  =
'[' + x_1il.x_in + ']' +
'[' + x_1il.x_up + ']' +
'[' + x_1il.x_xt + ']' +
'[' + x_1il.x_wv + ']';

x_fa.x_1im = {
type: 0,
host: "",
addr1: "",
addr2: "",
addressGroup: {
id: "",
name: "",
invalid: false
},
interfaceCondition: {
type: 0,
interfaceType: 0,
selectedInterface: {
id: "",
name: "",
invalid: false
},
enabled: true
},
vpnCondition: {
type: 0,
tunnel: {
id: "",
name: "",
invalid: false
},
enabled: true
},
userType: 0,
user: {
id: "",
name: "",
isGroup: false,
domainName: ""
}
};

x_fa.x_1in = x_fa.x_b0('x_1im', {
type: x_r.x_1io.x_1cx
});

x_fa.x_1ip = x_fa.x_b0('x_1im', {
type: x_r.x_1io.x_1iq,
userType: x_r.x_1c8.x_1ce
});

x_fa.x_1ir = x_fa.x_b0('x_1im', {
type: x_r.x_1io.x_14d,
vpnCondition: {
type: x_r.x_1is.x_1gd
}
});
x_fa.x_wl = [
{ name: '*', value: '*' },
{ name: 'application/*', value: 'application/*' },
{ name: 'application/octet-stream', value: 'application/octet-stream' },
{ name: 'image/*', value: 'image/*' },
{ name: 'image/gif', value: 'image/gif' },
{ name: 'image/jpeg', value: 'image/jpeg' },
{ name: 'text/*', value: 'text/*' },
{ name: 'text/html', value: 'text/html' },
{ name: 'text/plain', value: 'text/plain' }
];

x_fa.x_1it = {
firstOperand: {
operandValue: "type",
isColumnName: true
},
comparator: x_r.x_3s.x_8i,
secondOperand: {
operandValue: x_r.x_kh.x_12o,
isColumnName: false
}
};

x_fa.x_1iu = {
firstOperand: {
operandValue: "type",
isColumnName: true
},
comparator: x_r.x_3s.x_8i,
secondOperand: {
operandValue: x_r.x_kh.x_158,
isColumnName: false
}
};

x_fa.x_1iv = {
firstOperand: {
operandValue: "type",
isColumnName: true
},
comparator: x_r.x_3s.x_8i,
secondOperand: {
operandValue: x_r.x_kh.x_11w,
isColumnName: false
}
};

x_fa.x_1iw = {
firstOperand: {
operandValue: "type",
isColumnName: true
},
comparator: x_r.x_3s.x_8i,
secondOperand: {
operandValue: x_r.x_kh.x_15a,
isColumnName: false
}
};

x_fa.x_1ix = {
conditions: [ x_fa.x_1it ],
combining: x_r.x_3s.x_8j,
orderBy: [
{
columnName: "name", direction: x_r.x_3s.x_8k
}
]
}; 
x_fa.x_1iy = {
conditions: [
x_fa.x_1it,
x_fa.x_1iu
],
combining: x_r.x_3s.x_8j,
orderBy: [
{
columnName: "name", direction: x_r.x_3s.x_8k
}
]
}; 
x_fa.x_1iz = {
conditions: [
x_fa.x_1it,
x_fa.x_1iu,
x_fa.x_1iv
],
combining: x_r.x_3s.x_8j,
orderBy: [
{
columnName: "name", direction: x_r.x_3s.x_8k
}
]
}; 
x_fa.x_1j0 = {
conditions: [ x_fa.x_1iw ],
combining: x_r.x_3s.x_8j,
orderBy: [{
columnName: "name",
direction: x_r.x_3s.x_8k
}]
};
kerio.lib.x_1j1.x_1j2 = kerio.waw.status.x_p.x_10g;

x_fa.x_md = function(x_2v){
if ('object' !== typeof x_2v) {
kerio.lib.x_nq('Internal error: cannot create WAW dialog without configuration!', 'Shared Definitions', 'Simple Dialog');
return null;
}
if (!x_2v.x_1y || !x_2v.x_mc || !x_2v.x_1x) {
kerio.lib.x_nq('Internal error: missing WAW dialog configuration (required: x_1x, x_1y, x_mc)!', 'Shared Definitions', 'Simple Dialog');
return null;
}
var
x_10,
x_o = x_2v.x_o || (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_x = kerio.lib.x_x;
x_10 = {
x_1u: x_2v.x_1u || 500,
x_l0: x_2v.x_1u || 500,
x_1v: x_2v.x_1v || 600,
x_l1: x_2v.x_1v || 600,
x_1w: x_2v.x_1w || true,
x_1al: x_2v.x_1al || false,
x_1y: x_2v.x_1y,
x_1x: x_2v.x_1x,
x_1z: [{
x_20: !x_o,
x_1j: 'x_22',
x_23: x_x('OK', 'common'),
x_1m: x_o,
x_24: {
x_1n: x_x('Saving data…', 'common')
},
x_25: x_2v.x_mc
}, {
x_21: true,
x_20: x_o,
x_1j: 'x_ji',
x_23: (x_o) ? x_x('Close', 'common') : x_x('Cancel', 'common'),
x_24: (x_2v.x_1al ? false : undefined ), x_25: (x_2v.x_188 ? x_2v.x_188 : undefined)
}] }; x_fi.x_iq(x_10, this);
if (x_2v.x_o9) {
this.x_o9 = x_2v.x_o9;
}
}; x_fa.x_11k = {

x_11l: function(x_2v) {
if (!x_2v.x_1y) {
x_2v.x_1y = kerio.lib.x_x('Interface properties', 'interfaceRasEditor');
}
var x_10 = new x_fa.x_md(x_2v);
x_fi.x_iq(x_10, this);
},

x_11v: function(x_1f, x_1j3) {
var
x_14a = x_r.x_133,
x_155 = x_r.x_kh,
x_1p, x_1j4,
x_1j5 = false,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_br = x_1b.x_a1(
{	x_a2: 100,
hu: 130,
ru: 130,
ja: 135
});
switch (x_1f) {
case x_155.x_12o:
x_1p = 'interfaceEthernet';
x_1j4  = x_x('Ethernet', 'interfaceEditors');
break;
case x_155.x_158:
x_1p = 'interfaceRas';
x_1j4  = x_x('Dial-Up', 'interfaceEditors');
break;
case x_155.x_163: x_1p = 'interfaceRas';
x_1j4  = x_x('PPPoE', 'interfaceEditors');
break;
case x_155.x_164: x_1p = 'interfaceRas';
x_1j4  = x_x('PPTP', 'interfaceEditors');
break;
case x_155.x_11w:
x_1p = 'interfaceDialIn';
x_1j4  = x_x('Dial-In', 'interfaceEditors');
x_1j5 = true;
break;
case x_155.x_15a: x_1p = 'interfaceVpnTunnel';
x_1j4  = x_x('VPN tunnel', 'interfaceEditors');
x_1j5 = false;
break;
default:
x_1b.x_nq('Internal error: Cannot create Identification frame for this type of interface!');
return null; } this.x_1f = 'x_79';
this.x_br = x_br;
this.x_23 = x_x('Identification', 'interfaceEditors');
this.x_1e = [
{
x_1f: 'x_pt',
x_1j: 'x_1f',
x_23: x_x('Type:', 'interfaceEditors'),
x_pv: '<span class="interfaceIcon ' + x_1p
+ ' {x_171}"> &nbsp; &nbsp; &nbsp; &nbsp; </span> {x_1j6} {x_1j7}',
x_rb: {
x_1j6: x_1j4
}
},
{
x_1j: 'x_a6',
x_23: x_x('Name:', 'common'),
x_5p: x_1j5,
x_1o: '',
x_93: 127,
x_ge: true,
x_b6: {
x_b7: false
}
}
]; if (false !== x_1j3) {
this.x_1e.push({
x_1f: 'x_9u',
x_1j: 'x_vy',
x_23: x_x('Interface Group:', 'interfaceEditors'),
x_1o: x_14a.x_14e,
x_a5: 'x_23',
x_a7: 'x_1o',
x_5z: [{
x_23: x_x('Internet interfaces', 'interfaceList'),
x_1o: x_14a.x_134
}, {
x_23: x_x('Trusted/Local interfaces', 'interfaceList'),
x_1o: x_14a.x_14c
},  {
x_23: x_x('Other interfaces', 'interfaceList'),
x_1o: x_14a.x_14e
}], 
x_9t: function(x_1c, x_ax, x_vy){
var x_16 = x_1c.x_16;
x_fi.x_122(x_16.x_q3, x_16.x_121, x_vy);
}
});
}
}, 
x_11x: function() {
var
x_1j8 = x_r.x_14r,
x_x = kerio.lib.x_x;
this.x_1f = 'x_79';
this.x_1j = 'x_1j9';
this.x_23 = x_x('Connection Failover', 'interfaceEditor');
this.x_1l = true;
this.x_1m= true;
this.x_1e = [
{	x_1f: 'x_7a',
x_7b: 'x_126',
x_1s: x_x('Use this interface as the primary link', 'interfaceEditor'),
x_1o: x_1j8.x_14s
},
{	x_1f: 'x_7a',
x_7b: 'x_126',
x_1s: x_x('Use this interface as the secondary link', 'interfaceEditor'),
x_1o: x_1j8.x_14t
},
{	x_1f: 'x_7a',
x_7b: 'x_126',
x_1s: x_x('Do not use this interface for connection failover', 'interfaceEditor'),
x_1o: x_1j8.x_7c
}
];
},
x_11y: function() {
var x_x = kerio.lib.x_x;
this.x_1f = 'x_79';
this.x_1j = 'x_1ja';
this.x_1m= true;
this.x_23 = x_x('Link Balancing', 'interfaceEditor');
this.x_br = kerio.lib.x_a1({
x_a2: 100,
ru: 230,
it: 170,
es: 150,
fr: 150,
hu: 150,
nl: 150,
pl: 150,
pt: 150
});
this.x_1e = [
{	x_1f: 'x_b3',
x_1e: [
{	x_1f: 'x_b4',
x_23: x_x('Link Bandwidth:', 'interfaceEditor'),
x_1j: 'x_124',
x_1o: 0,
x_93: 9,
x_r9: 1,
x_b6: {
x_b7: false
}
},
{
x_1f: 'x_9u',
x_1u: 60,
x_1j: 'x_125',
x_1l: true,
x_5z: x_fa.x_1hz,
x_a5: 'x_23',
x_a7: 'x_1o',
x_1o: x_r.x_14o
}
]
}
];
},
x_168: function() {
var x_x = kerio.lib.x_x;
this.x_1f = 'x_79';
this.x_1j = 'x_1jb';
this.x_1m= true;
this.x_23 = x_x('Dial On Demand', 'interfaceEditor');
this.x_1e = [
{	x_1f: 'x_1q',
x_1j: 'x_123',
x_1l: true,
x_1s: x_x('Use this interface as a dial-on-demand link', 'interfaceEditor')
}
];
}}; 
x_fa.x_fb = {
x_1f: 'x_gr', x_4v: false,
x_7v: true,
x_1jc: true,
x_1jd: 24,         x_1p: 'toolbarSprite', x_1e: [
{
x_1j: 'x_1je',
x_x6: 'img/move_up.gif',
x_31: true,
x_24: false,

x_25: function() {
var x_7w;
this.x_3m.x_1jf(true);
if (this.x_3m.x_ht) {
x_7w = this.x_2p;
if (x_7w.x_w0) {
x_7w.x_2p.x_g4(x_7w.x_w0);
} else {
kerio.waw.status.x_14.x_15(true);
}
}
} }, {
x_1j: 'x_1jg',
x_x6: 'img/move_down.gif',
x_31: true,
x_24: false,

x_25: function() {
var x_7w;
this.x_3m.x_1jf(false);
if (this.x_3m.x_ht) {
x_7w = this.x_2p;
if (x_7w.x_w0) {
x_7w.x_2p.x_g4(x_7w.x_w0);
} else {
kerio.waw.status.x_14.x_15(true);
}
}
} } ],

x_4c: function(x_4d, x_4e){
var x_1jh = x_4d.x_3v;
var x_1ji = x_1jh.x_46;
var x_1jj = x_4d.x_eq(); var x_1jk = x_fi.x_1jk.call(x_4d);
var x_1jl = x_1jj - 1;
var x_1jm = x_4d.x_1dq('x_h5', true);
if (Array === x_1jm.constructor && 0 < x_1jj) {
if (1 === x_1jm.length && x_1jl === x_1jm[0]) {
x_1jl--; }
else {
this.x_3b('x_1je', false);   this.x_3b('x_1jg', false); kerio.lib.x_nq('Internal error: Default rule is not the last one or there are more default rules!', 'x_fa.x_fb', 'update');
}
}
if (0 === x_1ji || x_1jk) {
this.x_lc(['x_1je', 'x_1jg']);
}
else {
this.x_3b('x_1je', !x_4d.x_1jn(0)); this.x_3b('x_1jg', !x_4d.x_1jn(x_1jl)); }
} }; 
var x_1jo = function(x_1jp, x_1jq) {
var x_3l = x_1jp.x_3m;
var x_1jr = x_fa.x_1ik[x_1jq.x_23];
var x_3v = x_3l.x_3v;
var x_40 = x_3l.x_3v.x_40;
var x_b3;
for (var x_41 = 0, x_42 = x_3v.x_46; x_41 < x_42; x_41++) {
x_b3 = x_40[x_41];
x_b3.x_47.color = x_1jr;
x_3l.x_fm(x_b3.x_47, x_b3.x_fl);
}
var x_7w = this.x_2p;
if (x_7w.x_w0) {
x_7w.x_2p.x_g4(x_7w.x_w0);
} else {
kerio.waw.status.x_14.x_15(true);
}
}; 
x_fa.x_gv = {
x_1f: 'x_1js', x_4v: true,
x_1jc: true,
x_1e: [
{
x_1j: 'x_56',
x_23: x_x('Add', 'common'), 
x_25: function() {
var x_3l = this.x_3m;
var x_1jh, x_fk;
if ('string' === typeof x_3l.x_hw) {
x_1jh = x_3l.x_3v;
x_fk = (1 === x_1jh.x_46) ? x_1jh.x_40[0].x_fl : 0;
x_3l.x_ih(x_fa.x_b0(x_3l.x_hw), x_fk, true);
if ('function' === typeof x_3l.x_ii) {
x_3l.x_ii.call(x_3l, x_fk);
}
return;
}
if ('function' === typeof x_3l.x_ii) {
x_3l.x_ii.call(x_3l);
return;
}
kerio.lib.x_nq('Internal error: EditorGridToolbar expects either method "addItem" or string "newItemDefinition" to be defined in grid');
} }, {
x_1j: 'x_4n',
x_23: x_x('Remove', 'common'),
x_31: true,

x_25: function() {
var x_3l = this.x_3m;
if (!x_3l || !x_3l.x_3k) {
kerio.lib.x_nq('Internal error: EditorGridToolbar expects method x_3k to be defined in grid');
return;
}
x_3l.x_3k.call(x_3l);
} }, {
x_1j: 'x_gw',
x_23: x_x('Duplicate', 'common'),
x_31: true,

x_25: function() {
var x_3l = this.x_3m;
if (!x_3l || !x_3l.x_3k) {
kerio.lib.x_nq('Internal error: EditorGridToolbar expects method x_3k to be defined in grid');
return;
}
x_3l.x_ig.call(x_3l);
} }, {
x_1j: 'x_1jt',
x_23: x_x('Change Color', 'ftpRuleList'),
x_31: true,
x_13f: true,
x_1e: [
{x_1j: 'x_hj', x_23: x_x('Transparent', 'kLib'), x_24: false, x_cy: 'colorItem bckgTransparent', x_25: x_1jo},
{x_1j: 'x_hk',       x_23: x_x('White', 'kLib'),       x_24: false, x_cy: 'colorItem bckgWhite',       x_25: x_1jo},
{x_1j: 'x_hl',      x_23: x_x('Yellow', 'kLib'),      x_24: false, x_cy: 'colorItem bckgYellow',      x_25: x_1jo},
{x_1j: 'x_hm',        x_23: x_x('Blue', 'kLib'),        x_24: false, x_cy: 'colorItem bckgBlue',        x_25: x_1jo},
{x_1j: 'x_hn',         x_23: x_x('Red', 'kLib'),         x_24: false, x_cy: 'colorItem bckgRed',         x_25: x_1jo},
{x_1j: 'x_ho',       x_23: x_x('Green', 'kLib'),       x_24: false, x_cy: 'colorItem bckgGreen',       x_25: x_1jo},
{x_1j: 'x_hp',     x_23: x_x('Magenta', 'kLib'),     x_24: false, x_cy: 'colorItem bckgMagenta',     x_25: x_1jo},
{x_1j: 'x_hq',        x_23: x_x('Pink', 'kLib'),        x_24: false, x_cy: 'colorItem bckgPink',        x_25: x_1jo},
{x_1j: 'x_hr',        x_23: x_x('Grey', 'kLib'),        x_24: false, x_cy: 'colorItem bckgGrey',        x_25: x_1jo}
]
} ],

x_4c: function(x_4d, x_4e){
var x_1jh, x_4i, x_4j;
var x_1ju = kerio.lib.x_6b.x_6d;
var x_4k = x_1ju.x_6e;
var x_1jv, x_1jw;
var x_1jk;
if (x_4d instanceof kerio.lib.x_4g) {
x_1jk = x_fi.x_1jk.call(x_4d);
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_1jh = x_4d.x_3v;
x_1jv   = (1 === x_1jh.x_46) && !x_1jk;
x_1jw = (0 < x_1jh.x_46) && !x_1jk;
this.x_3b('x_4n', x_1jw);
this.x_3b('x_gw', x_1jv);
this.x_3b('x_1jx', x_1jv);
this.x_3b('x_1jt', x_1jw);
break; case x_4k.x_4p:
if (x_1jk) {
return; }
x_4i = x_1ju.x_6f;
x_4j = x_4e.x_4q.keyCode;
if ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j)) {
this.x_3m.x_3k();
}
break; }
}
}, 
x_33: function() {
var x_3l = this.x_3m;
if (!x_3l || !x_3l.x_iy) {
kerio.lib.x_nq('Internal error: EditorGridToolbar expects method sendData to be defined in grid');
return false;
}
return x_3l.x_iy.call(x_3l);
},

x_35: function() {
this.x_3m.x_6y();
kerio.waw.status.x_14.x_15(false);
}
}; 
x_fa.x_nz = {
x_23: x_x('Username:', 'common'),
x_1o: '',
x_93: 127,
x_ge: true,
x_1u: 300,
x_b6: {
x_nv: 'x_1jy',
x_b7: false
}
};

x_fa.x_o1 = {
x_1jz: true,
x_23: x_x('Password:', 'common'),
x_1o: '',
x_1k0: 'NoPassword',
x_93: 24,
x_ge: true,
x_1u: 300,

x_9t: function(x_1c, x_ax, x_1o) {
if (x_1o) {
x_ax.x_og('');
}
} };

x_fa.x_1k1 = {
x_93: 127,
x_b6: {
x_b7: false,
x_nv: 'x_11d'
}
};

x_fa.x_12f = x_fa.x_b0('x_1k1', { x_b6: { x_b7: true }});

x_fa.x_b1 = {
x_1f: 'x_9u',
x_23: x_x('Direction:', 'common'),
x_1u: 150,
x_5z: x_fa.x_1ht,
x_a5: 'x_23',
x_a7: 'x_1o',
x_1o: x_r.x_1hs.x_18x
};

x_fa.x_b8 = {
x_1f: 'x_9u',
x_1u: 50,
x_1l: true,
x_5z: x_fa.x_1hw,
x_a5: 'x_23',
x_a7: 'x_1o',
x_1o: x_r.x_1hv.x_1hx
};

x_fa.x_1k2 = {
x_1j: 'x_rj',
x_1f: 'x_rc',
x_23: x_x('Test Connection', 'domainsAdDomainEditor'),

x_25: function(x_1c) {
var
x_a4,
x_j4,
x_16 = x_1c.x_16;
x_16.x_24(true, kerio.lib.x_x('Testing connection to domain controller…', 'domainsAdDomainEditor'), 50);
if (!x_1c.x_o4()) {
x_16.x_24(false);
return;
}
x_a4 = x_1c.x_1k3(x_1c);
x_j4 = {
x_28: {
object: x_16.x_ob,
method: 'testConnection',
params: kerio.lib.x_6r({ domain: x_a4 })
},
x_2q: x_16,
x_2e: x_fi.x_1k4
};
kerio.lib.x_6t.x_6u(x_j4);
} }; 
x_fa.x_1k5 = {
x_m2: 0
};
x_fa.x_ul = kerio.lib.x_a1(
{	x_a2: 120,
cs: 110,
de: 140,
es: 165,
fr: 160,
hr: 125,
hu: 135,
it: 130,
ja: 130,
nl: 130,
pl: 135,
pt: 140,
ru: 140,
zh: 95
});

x_fa.x_o2 = function(x_2v) {
var
x_x = kerio.lib.x_x,
x_1k6 = x_2v.x_o3;
if ('function' !== typeof x_1k6) {
kerio.lib.x_nq('Invalid or undefined handler for Test Connection button.', 'W@W Shared definitions', 'x_o2');
return;
}
x_fi.x_iq(
{
x_1f: 'x_79',
x_23: x_x('Connection', 'domainsAdvancedEditor'),
x_1e: [
{
x_1f: 'x_7a',
x_7b: 'x_nt',
x_1l: true,
x_1s: x_x('Automatically connect to the first domain controller available', 'domainsAdvancedEditor'),
x_7d: true,
x_1o: false,

x_9t: function(x_1c, x_ax, x_1o) {
var x_t1 = x_1c.x_29('x_nu');
x_t1.x_84(!x_1o);
x_1c.x_29('x_rj').x_84(!x_t1.x_o4(false));
}},
{
x_1f: 'x_7a',
x_7b: 'x_nt',
x_1l: true,
x_1s: x_x('Always connect to the specified domain controller', 'domainsAdvancedEditor'),
x_1o: true
},
{
x_1f: 'x_1g',
x_br: kerio.lib.x_a1(
{	x_a2: 120,
ja: 135
}
),
x_1e: [
{
x_23: x_x('Domain controller:', 'domainsAdvancedEditor'),
x_1j: 'x_nu',
x_31: true,
x_b2: 1,
x_1u: 200,
x_93: 127,
x_ge: true,
x_b6: {
x_nv: 'x_nw',
x_b7: false
},

x_9t: function(x_1c, x_ax) {
x_1c.x_29('x_rj').x_84(!x_ax.x_o4());
}}
]},{
x_1f: 'x_1q',
x_1l: true,
x_1j: 'x_oe',
x_1s: x_x('Use encrypted connection', 'domainsAdvancedEditor')
},
{
x_1f: 'x_1i',
x_1l: true,
x_b2: 1,
x_1o: x_x('Note: The domain controller must be configured properly to support encryption', 'domainsAdvancedEditor')
},
{
x_1f: 'x_rc',
x_1j: 'x_rj',
x_23: x_x('Test Connection', 'domainsAdvancedEditor'),
x_25: x_1k6
}
] },   this ); }; }; 